# QB64lite

QB64lite is a modern extended BASIC+OpenGL language that retains full QB64 compatibility and compiles native binaries for Linux.
QB64lite is a stripped down version of QB64, so it retains full compatibility and should run all software that QB64 Can run..

QB64lite is based on QB64 as originally written by Galleon and then maintained by QB64 team.
Keybone (Kevin Goodman) is the author of QB64lite, and is placed under the MIT license.

# Table of Contents
1. [Installation](#Installation)

2.  [Usage](#Usage)

# Installation <a name="Installation"></a>
Download QB64lite.

<a name="Linux"></a>
## Linux

1) Simply extract and run './setup.sh'

Dependencies will be installed automatically. Required packages include OpenGL, ALSA and the GNU C++ Compiler.

<a name="Usage"></a>
# Usage
Run the QB64lite executable to launch the IDE, which you can use to edit your .BAS files. From there, hit F5 to compile and run your code.

To generate a binary without running it, hit F11.

Additionally, if you do not wish to use the integrated IDE and to only compile your program, you can use the following command-line calls:

```qb64 -c yourfile.bas```

```qb64 -c yourfile.bas -o outputname.exe```

Replacing `-c` with `-x` will compile without opening a separate compiler window.
